#! /bin/sh

show_if ()
{
    echo "$0: Interface state $1"
    ip addr show dev $inode_if
    ip route show
}

run_dhcp ()
{
    echo "DHCP event '$reason'"

    [ -f /var/run/dhcp-pptp-debug ] && set -x

    case $reason in
	BOUND|INFORM|REBIND|REBOOT|TEST|TIMEOUT|IPV4LL)
	    if [ "$old_ip_address" != "$new_ip_address" ] ; then
		if [ "$new_routers" ]; then
		    set $new_routers
		    remote=$1

		    read inode inode_if < /var/run/xdsl-tunnel
		    ip route add $inode via $remote
		    rm -f /var/run/${inode_if}_down
		fi
	    fi
	    ;;
	*)
	   echo "    ignoring dhcp event '$reason'"
    esac

}

run_dhcp $* 2>&1 | logmsg dhcp-client 
